
# Class: DesignEditorWidgetCommand

Represents a DesignEditor action.

## Hierarchy

* **DesignEditorWidgetCommand**

  ↳ [ChangeDesignVariantCommand](changedesignvariantcommand.md)

  ↳ [ChangeMockupCommand](changemockupcommand.md)

  ↳ [CreateImageItemCommand](createimageitemcommand.md)

  ↳ [InitialCommand](initialcommand.md)

  ↳ [LoadUserInfoCommand](loaduserinfocommand.md)

  ↳ [ModifyItemsCommand](modifyitemscommand.md)

  ↳ [ResizeItemsCommand](resizeitemscommand.md)

  ↳ [SetBackgroundCommand](setbackgroundcommand.md)

  ↳ [SetPrintAreaCommand](setprintareacommand.md)

  ↳ [SetRemoteMockupCommand](setremotemockupcommand.md)

  ↳ [SetSerializedProduct](setserializedproduct.md)

  ↳ [SetSurfacesCommand](setsurfacescommand.md)

  ↳ [SetThemeCommand](setthemecommand.md)

  ↳ [SetViewerSettings](setviewersettings.md)

  ↳ [SwapSurfacesCommand](swapsurfacescommand.md)

  ↳ [TranslateItemsCommand](translateitemscommand.md)

  ↳ [UpdateContainerSettingsCommand](updatecontainersettingscommand.md)

  ↳ [UpdateItems](updateitems.md)

  ↳ [UpdateSurfacesCommand](updatesurfacescommand.md)

## Index

### Methods

* [execute](designeditorwidgetcommand.md#abstract-execute)

## Methods

### `Abstract` execute

▸ **execute**(`params`: [IDesignEditorCommandDefinition](../interfaces/idesigneditorcommanddefinition.md) | [IDesignEditorCommandDefinition](../interfaces/idesigneditorcommanddefinition.md)[], `oldParams?`: [IDesignEditorCommandDefinition](../interfaces/idesigneditorcommanddefinition.md) | [IDesignEditorCommandDefinition](../interfaces/idesigneditorcommanddefinition.md)[]): *Promise‹any›*

Executes a command.

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`params` | [IDesignEditorCommandDefinition](../interfaces/idesigneditorcommanddefinition.md) &#124; [IDesignEditorCommandDefinition](../interfaces/idesigneditorcommanddefinition.md)[] | Parameters for the command. |
`oldParams?` | [IDesignEditorCommandDefinition](../interfaces/idesigneditorcommanddefinition.md) &#124; [IDesignEditorCommandDefinition](../interfaces/idesigneditorcommanddefinition.md)[] | The previous parameters for the command.  |

**Returns:** *Promise‹any›*
